### Constructor

# Ide TerminalLauncher new

#### Declaration

    IdeTerminalLauncher*
    ide_terminal_launcher_new (
      IdeContext* context
    )

#### Description

Create a new `IdeTerminalLauncher` that will spawn a terminal on the host.

#### Parameters

`context` | `IdeContext`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeTerminalLauncher`
| A newly created `IdeTerminalLauncher`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.